define("pBWOFExoticFarEastViewManagerApi", ["componentmodelComponentApi", "gameLayoutApi", "clientkernelEventbusApi"],
    function(componentmodelComponentApi, gameLayoutApi, clientkernelEventbusApi) {
        "use strict";

        function $iterator(o) {
            if (o instanceof Array) return function() {
                return {
                    cur: 0,
                    arr: o,
                    hasNext: function() {
                        return this.cur < this.arr.length;
                    },
                    next: function() {
                        return this.arr[this.cur++];
                    }
                };
            };
            return typeof(o.iterator) == 'function' ? $bind(o, o.iterator) : o.iterator;
        };;
        var $fid = 0;

        function $bind(o, m) {
            if (m == null) return null;
            if (m.__id__ == null) m.__id__ = $fid++;
            var f;
            if (o.hx__closures__ == null) o.hx__closures__ = {};
            else f = o.hx__closures__[m.__id__];
            if (f == null) {
                f = function() {
                    return f.method.apply(f.scope, arguments);
                };
                f.scope = o;
                f.method = m;
                o.hx__closures__[m.__id__] = f;
            }
            return f;
        };
        var $_;
        var $estr = function() {
            return _hcmn_.js_Boot.__string_rec(this, '');
        };
        if (typeof pBWOFExoticFarEastViewManagerApi == 'undefined') {
            var pBWOFExoticFarEastViewManagerApi = {};
        };
        pBWOFExoticFarEastViewManagerApi.ViewManagerDeclaration = function() {};
        pBWOFExoticFarEastViewManagerApi.ViewManagerDeclaration = ck_implements(pBWOFExoticFarEastViewManagerApi.ViewManagerDeclaration, componentmodelComponentApi.IComponentDeclaration);
        pBWOFExoticFarEastViewManagerApi.ViewManagerDeclaration.__interfaces__ = [componentmodelComponentApi.IComponentDeclaration];
        pBWOFExoticFarEastViewManagerApi.ViewManagerDeclaration.__name__ = ["pBWOFExoticFarEastViewManagerApi", "ViewManagerDeclaration"];
        pBWOFExoticFarEastViewManagerApi.ViewManagerDeclaration.prototype.getChildComponents = function() {
            return null;
        };
        pBWOFExoticFarEastViewManagerApi.ViewManagerDeclaration.prototype.getReferredComponents = function() {
            return null;
        };
        pBWOFExoticFarEastViewManagerApi.ViewManagerDeclaration.prototype.getImplementedPorts = function() {
            return [pBWOFExoticFarEastViewManagerApi.IViewManagerImplementationPort];
        };
        pBWOFExoticFarEastViewManagerApi.ViewManagerDeclaration.prototype.getUsedPorts = function() {
            return [pBWOFExoticFarEastViewManagerApi.IViewManagerPort, gameLayoutApi.IGameLayoutPort];
        };
        pBWOFExoticFarEastViewManagerApi.ViewManagerDeclaration.prototype.__class__ = pBWOFExoticFarEastViewManagerApi.ViewManagerDeclaration;

        pBWOFExoticFarEastViewManagerApi.IViewManagerImplementationPort = function() {}
        pBWOFExoticFarEastViewManagerApi.IViewManagerImplementationPort.prototype = {

            getActivate: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getShake: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getDeActivate: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getReset: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getCompleted: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getHide: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getShow: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getUpdated: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            }
        };

        pBWOFExoticFarEastViewManagerApi.IViewManagerPort = function() {}
        pBWOFExoticFarEastViewManagerApi.IViewManagerPort.prototype = {

            getActivate: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getShake: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getDeActivate: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getReset: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getCompleted: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getHide: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getShow: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getUpdated: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            }
        };
        pBWOFExoticFarEastViewManagerApi.ViewManagerPort = function(bus) {
            this.updated = new clientkernelEventbusApi.Topic("viewManager:updated");
            this.completed = new clientkernelEventbusApi.Topic("viewManager:completed");
            this.show = new clientkernelEventbusApi.Topic("viewManager:show");
            this.hide = new clientkernelEventbusApi.Topic("viewManager:hide");
            this.reset = new clientkernelEventbusApi.Topic("viewManager:reset");
            this.deactivate = new clientkernelEventbusApi.Topic("viewManager:deactivate");
            this.shake = new clientkernelEventbusApi.Topic("viewManager:shake");
            this.activate = new clientkernelEventbusApi.Topic("viewManager:activate");
            this.activate.connect(bus);
            this.deactivate.connect(bus);
            this.shake.connect(bus);
            this.hide.connect(bus);
            this.show.connect(bus);
            this.completed.connect(bus);
            this.updated.connect(bus);
            this.reset.connect(bus);
        };
        pBWOFExoticFarEastViewManagerApi.ViewManagerPort = ck_implements(pBWOFExoticFarEastViewManagerApi.ViewManagerPort, pBWOFExoticFarEastViewManagerApi.IViewManagerPort);
        pBWOFExoticFarEastViewManagerApi.ViewManagerPort = ck_implements(pBWOFExoticFarEastViewManagerApi.ViewManagerPort, pBWOFExoticFarEastViewManagerApi.IViewManagerImplementationPort);
        pBWOFExoticFarEastViewManagerApi.ViewManagerPort.__interfaces__ = [pBWOFExoticFarEastViewManagerApi.IViewManagerPort, pBWOFExoticFarEastViewManagerApi.IViewManagerImplementationPort];
        pBWOFExoticFarEastViewManagerApi.ViewManagerPort.__name__ = ["pBWOFExoticFarEastViewManagerApi", "ViewManagerPort"];
        pBWOFExoticFarEastViewManagerApi.ViewManagerPort.prototype.activate = null;
        pBWOFExoticFarEastViewManagerApi.ViewManagerPort.prototype.shake = null;
        pBWOFExoticFarEastViewManagerApi.ViewManagerPort.prototype.deactivate = null;
        pBWOFExoticFarEastViewManagerApi.ViewManagerPort.prototype.reset = null;
        pBWOFExoticFarEastViewManagerApi.ViewManagerPort.prototype.hide = null;
        pBWOFExoticFarEastViewManagerApi.ViewManagerPort.prototype.show = null;
        pBWOFExoticFarEastViewManagerApi.ViewManagerPort.prototype.completed = null;
        pBWOFExoticFarEastViewManagerApi.ViewManagerPort.prototype.updated = null;
        pBWOFExoticFarEastViewManagerApi.ViewManagerPort.prototype.getActivate = function() {
            return this.activate;
        };
        pBWOFExoticFarEastViewManagerApi.ViewManagerPort.prototype.getDeActivate = function() {
            return this.deactivate;
        };
        pBWOFExoticFarEastViewManagerApi.ViewManagerPort.prototype.getShow = function() {
            return this.show;
        };
        pBWOFExoticFarEastViewManagerApi.ViewManagerPort.prototype.getHide = function() {
            return this.hide;
        };
        pBWOFExoticFarEastViewManagerApi.ViewManagerPort.prototype.getCompleted = function() {
            return this.completed;
        };
        pBWOFExoticFarEastViewManagerApi.ViewManagerPort.prototype.getUpdated = function() {
            return this.updated;
        };
        pBWOFExoticFarEastViewManagerApi.ViewManagerPort.prototype.getReset = function() {
            return this.reset;
        };
        pBWOFExoticFarEastViewManagerApi.ViewManagerPort.prototype.getShake = function() {
            return this.shake;
        };
        pBWOFExoticFarEastViewManagerApi.ViewManagerPort.prototype.__class__ = pBWOFExoticFarEastViewManagerApi.ViewManagerPort;
        pBWOFExoticFarEastViewManagerApi.ViewManagerPortFactory = function() {};
        pBWOFExoticFarEastViewManagerApi.ViewManagerPortFactory = ck_implements(pBWOFExoticFarEastViewManagerApi.ViewManagerPortFactory, componentmodelComponentApi.IPortFactory);
        pBWOFExoticFarEastViewManagerApi.ViewManagerPortFactory.__interfaces__ = [componentmodelComponentApi.IPortFactory];
        pBWOFExoticFarEastViewManagerApi.ViewManagerPortFactory.__name__ = ["pBWOFExoticFarEastViewManagerApi", "ViewManagerPortFactory"];
        pBWOFExoticFarEastViewManagerApi.ViewManagerPortFactory.prototype.provide = function(channel) {
            return new pBWOFExoticFarEastViewManagerApi.ViewManagerPort(channel);
        };
        pBWOFExoticFarEastViewManagerApi.ViewManagerPortFactory.prototype["use"] = function(channel) {
            return new pBWOFExoticFarEastViewManagerApi.ViewManagerPort(channel);
        };
        pBWOFExoticFarEastViewManagerApi.ViewManagerPortFactory.prototype.__class__ = pBWOFExoticFarEastViewManagerApi.ViewManagerPortFactory;
        pBWOFExoticFarEastViewManagerApi.ShakeProperties = function(scenarioId, multiplier, limit, step, time) {
            this.time = time;
            this.step = step;
            this.limit = limit;
            this.multiplier = multiplier;
            this.scenarioId = scenarioId;
        };
        pBWOFExoticFarEastViewManagerApi.ShakeProperties.__name__ = ["pBWOFExoticFarEastViewManagerApi", "ShakeProperties"];
        pBWOFExoticFarEastViewManagerApi.ShakeProperties.prototype.scenarioId = null;
        pBWOFExoticFarEastViewManagerApi.ShakeProperties.prototype.multiplier = null;
        pBWOFExoticFarEastViewManagerApi.ShakeProperties.prototype.limit = null;
        pBWOFExoticFarEastViewManagerApi.ShakeProperties.prototype.step = null;
        pBWOFExoticFarEastViewManagerApi.ShakeProperties.prototype.time = null;
        pBWOFExoticFarEastViewManagerApi.ShakeProperties.prototype.__class__ = pBWOFExoticFarEastViewManagerApi.ShakeProperties;
        if (typeof haxe == 'undefined') {
            var haxe = {};
        };

        haxe.IMap = function() {}
        haxe.IMap.prototype = {

        };
        return {
            exports: pBWOFExoticFarEastViewManagerApi
        };
    });
//# sourceURL=pbWofExoticFarEastViewManagerApi.js